org.wildfly.swarm.config.management.access

## Class InMemoryHandler<T extends InMemoryHandler<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.InMemoryHandler<T>

-     public class InMemoryHandler<T extends InMemoryHandler<T>>
      extends Object

  A in-memory handler for use with the management audit logging service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryHandler(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Integer` | `maxHistory()` The maximum number of operation stored in history for this handler.
    `T` | `maxHistory(Integer value)` The maximum number of operation stored in history for this handler.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryHandler

          public InMemoryHandler(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### maxHistory

          public Integer maxHistory()

      The maximum number of operation stored in history for this handler.

    - #### maxHistory

          public T maxHistory(Integer value)

      The maximum number of operation stored in history for this handler.

Copyright © 2017 JBoss by Red Hat. All rights reserved.